<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2000 - INRIA - Carlos Klimann
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="center">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>center</refname>
    <refpurpose>  center</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>s=center(x)
s=center(x,'r') or s=center(x,1)
s=center(x,'c') or s=center(x,2)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>  </term>
        <listitem>
          <para>x: real or complex vector or matrix</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
     
    This function  computes <literal>s</literal>, the  centred version of
    the numerical matrix <literal>x</literal>.
     
    For  a  vector  or  a  matrix  <literal>x</literal>,  <literal>s=center(x)</literal>
    returns in  the <literal>(i,j)</literal> coefficient of  the matrix <literal>s</literal> 
    the  value <literal>(x(i,j)-xbar)</literal>, where  <literal> xbar</literal> is
    the mean of the values of the coefficients of <literal>x</literal>.
     
    <literal>s=center(x,'r')</literal>      (or,      equivalently,     
    <literal>s=center(x,1)</literal>) is  the rowwise center  reduction of the
    values of <literal>x</literal>.  It  returns in the entry <literal> s(i,j)</literal>
    the  value <literal>(x(i,j)-xbarv(j))(j)</literal>  with <literal>xbarv(j)</literal>
    the mean of the values of the <literal>j</literal> column.
     
    <literal>s=center(x,'c')</literal>      (or,      equivalently,     
    <literal>s=center(x,2)</literal>)  is the  columnwise center  reduction of
    the  values  of <literal>x</literal>.   It  returns  in  the entry  
    <literal>s(i,j)</literal>   the    value   <literal>(x(i,j)-xbarh(i)))</literal>   with
    <literal>xbarh(i)</literal> the mean of the values of the <literal>i</literal> row.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
x=[0.2113249  0.0002211 0.6653811;
   0.7560439  0.3303271 0.6283918]
s=center(x)
s=center(x,'r')
s=center(x,'c')
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="wcenter">wcenter</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para> Carlos Klimann</para>
  </refsection>
</refentry>
